org.eclipse.emf.cdo.spi.common.branch

## Interface InternalCDOBranchManager.BranchLoader3

- All Superinterfaces:
    InternalCDOBranchManager.BranchLoader, InternalCDOBranchManager.BranchLoader2
  All Known Subinterfaces:
    CDOSessionProtocol, InternalFailoverParticipant, InternalRepository, InternalSynchronizableRepository
  Enclosing interface:
    InternalCDOBranchManager

      public static interface InternalCDOBranchManager.BranchLoader3
      extends InternalCDOBranchManager.BranchLoader2

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `NEW_BRANCH, NEW_LOCAL_BRANCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renameBranch(int branchID, java.lang.String oldName, java.lang.String newName)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader2

      `deleteBranch, renameBranch`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `createBranch, loadBranch, loadBranches, loadSubBranches`

- - ### Method Detail

    - #### renameBranch

          void renameBranch(int branchID,
                            java.lang.String oldName,
                            java.lang.String newName)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html